Bug 17768 - REGRESSION (r30146): Inspector no longer shows elements properties
Summary: REGRESSION (r30146): Inspector no longer shows elements properties
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.5
: P1 Major
Assignee: Nobody
URL:
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2008-03-11 08:17 PDT by Max Barel
Modified: 2008-04-01 07:34 PDT (History)
3 users (show)

See Also:


Attachments
useful properties pane capture (167.49 KB, image/png)
2008-03-18 13:23 PDT, Max Barel
no flags Details
current webkit faulty properties pane (108.17 KB, image/png)
2008-03-18 13:24 PDT, Max Barel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max Barel 2008-03-11 08:17:23 PDT
For some time now, I noticed that inspector no longer shows element properties. Neither standard DOM nor DOM0. Only methods and constants are shown.

Test case is obvious, inspecting any element on any page and looking in the "Properties" panel, you'll see no property only methods (more than before) and constants (i.e. on node interface).

I did not back-search into previous nightly to find the turning release.
Comment 1 Adam Roben (:aroben) 2008-03-13 22:42:05 PDT
I can't reproduce this behavior in ToT on Windows.

1. Right-click on the page and choose Inspect Element
2. Expand the "Properties" section
3. Click on the "Node <br> Prototype" section

I see ATTRIBUTE_NODE, COMMENT_NODE, DOCUMENT_NODE, etc., listed.

Is this not the case for you?
Comment 2 Max Barel 2008-03-14 11:11:02 PDT
In reply to Adam:
Those "ATTRIBUTE_NODE, COMMENT_NODE, DOCUMENT_NODE" are constants of node object. Not properties.
On previous version, and on current Safari 3, the first block under the "properties" section lists all inherited properties, like "id, className…", standard properties or "innerHTML, offsetWIdth…" for proprietary ones.
The current webkit only lists properties defined by the selected element class. This is not useful.
It should :
either: summarize inherited properties like before
or: add as many blocks as needed to list every class it inherit, with relevant properties for this class. This is the current choice for prototypes, listing methods at each level.
Comment 3 Max Barel 2008-03-14 13:08:13 PDT
This regression comes from the changeset 29174, in the file page/inspector/PropertiesSidebarPane.js
http://trac.webkit.org/projects/webkit/changeset/29174

I verified that nigthly 19173 correctly displays properties.
Comment 4 Max Barel 2008-03-14 13:56:01 PDT
Correction to my previous comment :
I verified that nigthly 29173 correctly displays properties

Also I tried to revert to  the 29173 PropertiesSidebarPane.js file in current webkit. This does not work.
Comment 5 Max Barel 2008-03-15 17:41:35 PDT
I rather wonder there is something wrong with __lookupGetter__().
The security risk might have been overlooked.
Comment 6 Max Barel 2008-03-18 10:10:47 PDT
…and today Safari 3.1 is out with this useless properties pane while this bug is still unconfirmed.
I can't believe I'm the only one using Webkit as primary dev browser. I now have to use firefox to look at properties values.

Comment 7 David Kilzer (:ddkilzer) 2008-03-18 12:57:46 PDT
(In reply to comment #6)
> …and today Safari 3.1 is out with this useless properties pane while this bug
> is still unconfirmed.
> I can't believe I'm the only one using Webkit as primary dev browser. I now
> have to use firefox to look at properties values.

Please post a specific URL or attach the HTML to a test page that demonstrates this behavior.

Also, are you using Mac OS X (10.4 or 10.5?) or on Windows (XP or Vista)?

Comment 8 Max Barel 2008-03-18 13:23:32 PDT
Created attachment 19870 [details]
useful properties pane capture
Comment 9 Max Barel 2008-03-18 13:24:23 PDT
Created attachment 19871 [details]
current webkit faulty properties pane
Comment 10 Max Barel 2008-03-18 13:27:56 PDT
Any url can do, this is a global recessive bug.
I'm on Mac 10.5. I also confirmed this bug on another machine running 10.4.
The two attachments just added are made on this 10.4 system looking at the Webkit.org home page.
Comment 11 David Kilzer (:ddkilzer) 2008-03-18 16:13:24 PDT
I think the change in behavior may be a security fix.  Not sure if it can be worked around.

Comment 12 Adam Roben (:aroben) 2008-03-26 10:02:57 PDT
I may have a fix for this, but my fix would indicate that this regressed in r30146.
Comment 13 Adam Roben (:aroben) 2008-03-26 10:50:56 PDT
Committed a fix in r31320.
Comment 14 Max Barel 2008-03-26 11:16:32 PDT
Well done!
Replacing utilites.js in current nightly does it.
Comment 15 Adam Roben (:aroben) 2008-04-01 07:34:13 PDT
<rdar://problem/5834227>